# PLDAPAttributeBase Class Reference

`#include <pldap.h>`

Inheritance diagram for PLDAPAttributeBase:

List of all members.

## Public Member Functions

| PLDAPAttributeBase (const char *name, void *pointer, PINDEX size)
const char * | GetName () const
PBoolean | IsBinary () const
virtual void | Copy (const PLDAPAttributeBase &other)=0
virtual PString | ToString () const
virtual void | FromString (const PString &str)
virtual PBYTEArray | ToBinary () const
virtual void | FromBinary (const PArray< PBYTEArray > &data)

## Protected Attributes

const char * | name
void * | pointer
PINDEX | size

## Constructor & Destructor Documentation

PLDAPAttributeBase::PLDAPAttributeBase | ( | const char * | name,
|  | void * | pointer,
|  | PINDEX | size |
| ) |  |  |

## Member Function Documentation

virtual void PLDAPAttributeBase::Copy | ( | const PLDAPAttributeBase & | other | ) | `[pure virtual]`

virtual void PLDAPAttributeBase::FromBinary | ( | const PArray< PBYTEArray > & | data | ) | `[virtual]`

virtual void PLDAPAttributeBase::FromString | ( | const PString & | str | ) | `[virtual]`

const char* PLDAPAttributeBase::GetName | ( |  | ) | const`[inline]`

PBoolean PLDAPAttributeBase::IsBinary | ( |  | ) | const`[inline]`

virtual PBYTEArray PLDAPAttributeBase::ToBinary | ( |  | ) | const`[virtual]`

virtual PString PLDAPAttributeBase::ToString | ( |  | ) | const`[virtual]`

## Member Data Documentation

const char* PLDAPAttributeBase::name `[protected]`

void* PLDAPAttributeBase::pointer `[protected]`

PINDEX PLDAPAttributeBase::size `[protected]`

The documentation for this class was generated from the following file:

- pldap.h